import 'dart:typed_data';

import 'package:image_picker/image_picker.dart';

import 'CrossPicker.dart';

class MobilePicker implements CrossPicker{
  Future<Uint8List?> pick()async{
    final pfile=await ImagePicker().getImage(source: ImageSource.gallery);
    if(pfile!=null)
      return await pfile.readAsBytes();
  }

  Future<List<Uint8List?>?> pick_multi()async{
    final pfile=await ImagePicker().getMultiImage();
    if(pfile!=null)
      return await Future.wait(pfile.map((e) => e.readAsBytes()));
  }
}

init()=>MobilePicker();