import 'package:algolia/algolia.dart';

import '../repository_template.dart';

abstract class channelRepo<C,M,U>{

  Future<C> addUsrs_chanl(C r);
  Future<C> addChannel(C c);
  Future<C> findOrAddChannel(U usr);
  Future<void> clearUnreadChannel(String cnid);
  C tryAddUsrs(C c);
  Future<C>getChannel(String id,{bool mustAddUsr=false});
  Future<searchData<C>> search_channel(String? qr, {int page=0,int hperp=10});

  Future<void> sendMsg(String text,String cnid,{int type=0});
  Future<M> addUsrs_msg(M m,String fromid);
  Future<searchData<M>> search_msg(String? qr, {int page=0,int hperp=10});
}