import 'utils.dart';
import 'package:flutter/material.dart';

Widget shad_card({required Widget child,bool bgIsWhite=false})=>
    Builder(builder:(ctx)=>Container(decoration: bgIsWhite?boxdec(color: Colors.white):
    boxdec(color: cTheme.of(ctx).data.card),
        padding:EdgeInsets.symmetric(horizontal: 12,vertical: 16),
        margin: EdgeInsets.only(top: 19),
        child:child));


const ccard_mg=const EdgeInsets.only(top: 19,bottom: 4,left: 2.7,right: 2.7);
const ccard_pd=const EdgeInsets.symmetric(horizontal: 12,vertical: 16);

Widget ccard({required Widget child,bool bgIsWhite=false,bool borderless=false,double? height,
  Color? color,Key? key, EdgeInsets? magin=ccard_mg, EdgeInsets? pading=ccard_pd}){
  return Builder(builder:(ctx){
    BoxDecoration d=borderless?boxdecborderless(color: cTheme.of(ctx).data.card): boxdec(color: cTheme.of(ctx).data.card);
    d=color!=null?d.copyWith(color: color):(bgIsWhite ?(boxdec(color: Colors.white)) :d);

    return Container(key: key, decoration: d, padding:pading, margin: magin,
        height:height ,child:child);
  });
}

const blurRd=1.2;
const yoffset=2.7;
const b_shadow=BoxShadow(color: shadow,offset: Offset(0.9, yoffset),
    blurRadius: blurRd,spreadRadius: 1.8);

BoxShadow getShadow_SmSz(Offset direction)=>BoxShadow(
    color: shadow,offset: direction,
    blurRadius: blurRd);

boxdec({double b_radius=20,Color color=card})=>BoxDecoration(color: color,
    borderRadius: BorderRadius.all(Radius.circular(b_radius)),
    boxShadow: [b_shadow]
);


boxdecborderless({double b_radius=20,Color color=card})=>BoxDecoration(color: color,
  borderRadius: BorderRadius.all(Radius.circular(b_radius)),
);

Decoration tooltipBoxDec = BoxDecoration(borderRadius: BorderRadius.all(Radius.circular(5)), color: but.withOpacity(0.9));

onSideShad_dec(BuildContext context,{bool top=true})=>BoxDecoration(color: top?cTheme.of(context).data.upper_bg:cTheme.of(context).data.card,
    boxShadow: [BoxShadow(color: shadow,offset: top?Offset(0, yoffset):Offset(blurRd,0),
        blurRadius: blurRd)]
);
