

import 'package:flutter/material.dart';

bool isDesktop(BuildContext context)=>MediaQuery.of(context).size.width>600;

enum width{small,median,large}

width getWidth(BuildContext context){
  final w=MediaQuery.of(context).size.width;
  if(w>1150)return width.large;
  if(w>600)return width.median;
  return width.small;
}

bool screenLessThanSize(BuildContext context, double size)=>MediaQuery.of(context).size.width<size;

bool isSmallDesktop(BuildContext context, {double customWidth = 600})=>MediaQuery.of(context).size.width<customWidth;

bool isMediaDesktop(BuildContext context) {
  final width=MediaQuery.of(context).size.width;
  return width>600&&width<1150;}

bool isLargeDesktop(BuildContext context)=>MediaQuery.of(context).size.width>1150;

bool isXLargeDesktop(BuildContext context)=>MediaQuery.of(context).size.width>1500;

const double rightbarThreshForLiaison = 850;
