import 'package:flutter/material.dart';
import 'package:pc_plugins/utils/colors.dart';

import '../controllers/pageInfo_controller.dart';

class pager extends StatelessWidget{
  final Function() back;
  final Function() forth;
  final Function() center;
  final pageInd ind;
  final String? search;
  final String Function(String)? searchTextBuilder;
  pager({required this.back,required this.forth,
    required this.center,required this.ind,this.search, this.searchTextBuilder});
  @override
  Widget build(BuildContext context) {
    return Row(mainAxisSize:MainAxisSize.min,children: [
      IconButton(onPressed: back,
          icon: Icon(Icons.arrow_back, color: cTheme.of(context).data.textColor,)),
      TextButton(onPressed: center,
          child: Row(mainAxisSize:MainAxisSize.min,children: [
            Text((search==null?"":((searchTextBuilder??((s)=>'Search result for"$s"'))(search!)))+ind.text, style: TextStyle(color: textColor),),
            Icon(Icons.refresh, color: textColor,)
          ],)),
      IconButton(onPressed: forth,
          icon: Icon(Icons.arrow_forward, color: textColor,))
    ],);
  }
}