import 'package:flutter/material.dart';
import 'package:flutter_form_builder/flutter_form_builder.dart';
import 'package:hooks_riverpod/hooks_riverpod.dart';
import 'package:pc_plugins/utils/forms.dart';

class passwordField extends HookConsumerWidget {
  final TextEditingController controller;
  final InputDecoration? decoration;
  const passwordField({required this.controller,this.decoration,Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context,WidgetRef ref) {
    return Column(children: [
      FormBuilderTextField(name: "role",
          controller: controller,
          decoration: decoration??const InputDecoration(),
          validator: (v)=>pwValidator(v)),
      Container()
    ],);
  }
}

