import 'package:flutter/material.dart';
import 'package:pc_plugins/utils/utils.dart';

import 'bg.dart';

class twoButs extends StatelessWidget {
  final String? confirmText;
  final String? cancelText;
  final ButtonStyle? ccStyle;
  final ButtonStyle? cfStyle;
  final Function()? confirm;
  final Function()? cancel;
  final bool includeConfirm;
  final bool includeCancel;
  final bool loading;
  twoButs({this.cancel,this.confirm,
    this.ccStyle,this.cfStyle,
    this.includeCancel=true,this.includeConfirm=true,
    this.confirmText,this.cancelText,this.loading=false});
  @override
  Widget build(BuildContext context) {
    return Row(children: [
      if(includeCancel)TextButton(onPressed: loading?null:(cancel??(Navigator.of(context).pop)),
        child: loading?Loading():Text(cancelText??('Cancel')),style: ccStyle,),
      Spacer(),
      if(includeConfirm)TextButton(onPressed: loading?null:(confirm??(Navigator.of(context).pop)),
        child: loading?Loading():Text(confirmText??('Confirm')),style: cfStyle,),
    ],);
  }
}